package cn.teammodel.ai;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author winter
 * @create 2023-12-15 14:29
 */

@Data
@Configuration
@ConfigurationProperties(prefix = "spark.gpt")
public class SparkGptProperties {
    private String endpoint;
    private String appId;
    private String apiKey;
    private String apiSecret;
}
