package cn.teammodel.controller.admin.controller;

import cn.teammodel.common.R;
import cn.teammodel.controller.admin.service.AdminAppraiseService;
import cn.teammodel.model.dto.admin.UpdateAchievementRuleDto;
import cn.teammodel.model.entity.appraise.AchievementRule;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author winter
 * @create 2023-12-13 16:07
 */
@RestController
@RequestMapping("admin/appraise")
public class AdminAppraiseController {
    @Resource
    private AdminAppraiseService adminAppraiseService;

    @PostMapping("updateAchieveRule")
    @ApiOperation("更新的 rule 节点将会直接覆盖老节点")
    public R<List<AchievementRule>> updateAchieveRule(@RequestBody UpdateAchievementRuleDto ruleDto) {
        List<AchievementRule> res = adminAppraiseService.updateAchieveRule(ruleDto);
        return R.success(res);
    }
}
