package cn.teammodel.model.vo.appraise;

import cn.teammodel.model.entity.appraise.AchievementRule;
import lombok.Data;

import java.util.Map;

/**
 * 学生个人评价 vo
 * @author winter
 * @create 2023-12-04 15:26
 */
@Data
public class StudentReportVo {
    private Integer praiseCount;
    private Integer score;
    private Map<String, Integer> praiseDistribution;
    private Map<String, Integer> criticalDistribution;
    private AchievementRule curAchievement;
}
